org.apache.sling.scripting.thymeleaf.internal

## Class ThymeleafScriptEngineFactory

- java.lang.Object
- - org.apache.sling.scripting.api.AbstractScriptEngineFactory
  - - org.apache.sling.scripting.thymeleaf.internal.ThymeleafScriptEngineFactory

All Implemented Interfaces:
  ScriptEngineFactory

    public final class ThymeleafScriptEngineFactory
    extends org.apache.sling.scripting.api.AbstractScriptEngineFactory

### Constructor Summary

Constructors
Constructor and Description
`ThymeleafScriptEngineFactory()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `addDialect(org.thymeleaf.dialect.IDialect dialect)`
`protected void` `addLinkBuilder(org.thymeleaf.linkbuilder.ILinkBuilder linkBuilder)`
`protected void` `addMessageResolver(org.thymeleaf.messageresolver.IMessageResolver messageResolver)`
`protected void` `addTemplateResolver(org.thymeleaf.templateresolver.ITemplateResolver templateResolver)`
`String` `getLanguageName()`
`String` `getLanguageVersion()`
`ScriptEngine` `getScriptEngine()`
`protected void` `removeDialect(org.thymeleaf.dialect.IDialect dialect)`
`protected void` `removeLinkBuilder(org.thymeleaf.linkbuilder.ILinkBuilder linkBuilder)`
`protected void` `removeMessageResolver(org.thymeleaf.messageresolver.IMessageResolver messageResolver)`
`protected void` `removeTemplateResolver(org.thymeleaf.templateresolver.ITemplateResolver templateResolver)`
`protected void` `setCacheManager(org.thymeleaf.cache.ICacheManager cacheManager)`
`protected void` `setDecoupledTemplateLogicResolver(org.thymeleaf.templateparser.markup.decoupled.IDecoupledTemplateLogicResolver decoupledTemplateLogicResolver)`
`protected void` `setEngineContextFactory(org.thymeleaf.context.IEngineContextFactory engineContextFactory)`
`protected void` `unsetCacheManager(org.thymeleaf.cache.ICacheManager cacheManager)`
`protected void` `unsetDecoupledTemplateLogicResolver(org.thymeleaf.templateparser.markup.decoupled.IDecoupledTemplateLogicResolver decoupledTemplateLogicResolver)`
`protected void` `unsetEngineContextFactory(org.thymeleaf.context.IEngineContextFactory engineContextFactory)`

### Methods inherited from class org.apache.sling.scripting.api.AbstractScriptEngineFactory

`getEngineName, getEngineVersion, getExtensions, getMethodCallSyntax, getMimeTypes, getNames, getOutputStatement, getParameter, getProgram, setEngineName, setEngineVersion, setExtensions, setMimeTypes, setNames`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ThymeleafScriptEngineFactory

    public ThymeleafScriptEngineFactory()

### Method Detail

#### addTemplateResolver

    protected void addTemplateResolver(org.thymeleaf.templateresolver.ITemplateResolver templateResolver)

#### removeTemplateResolver

    protected void removeTemplateResolver(org.thymeleaf.templateresolver.ITemplateResolver templateResolver)

#### addMessageResolver

    protected void addMessageResolver(org.thymeleaf.messageresolver.IMessageResolver messageResolver)

#### removeMessageResolver

    protected void removeMessageResolver(org.thymeleaf.messageresolver.IMessageResolver messageResolver)

#### addDialect

    protected void addDialect(org.thymeleaf.dialect.IDialect dialect)

#### removeDialect

    protected void removeDialect(org.thymeleaf.dialect.IDialect dialect)

#### addLinkBuilder

    protected void addLinkBuilder(org.thymeleaf.linkbuilder.ILinkBuilder linkBuilder)

#### removeLinkBuilder

    protected void removeLinkBuilder(org.thymeleaf.linkbuilder.ILinkBuilder linkBuilder)

#### setDecoupledTemplateLogicResolver

    protected void setDecoupledTemplateLogicResolver(org.thymeleaf.templateparser.markup.decoupled.IDecoupledTemplateLogicResolver decoupledTemplateLogicResolver)

#### unsetDecoupledTemplateLogicResolver

    protected void unsetDecoupledTemplateLogicResolver(org.thymeleaf.templateparser.markup.decoupled.IDecoupledTemplateLogicResolver decoupledTemplateLogicResolver)

#### setCacheManager

    protected void setCacheManager(org.thymeleaf.cache.ICacheManager cacheManager)

#### unsetCacheManager

    protected void unsetCacheManager(org.thymeleaf.cache.ICacheManager cacheManager)

#### setEngineContextFactory

    protected void setEngineContextFactory(org.thymeleaf.context.IEngineContextFactory engineContextFactory)

#### unsetEngineContextFactory

    protected void unsetEngineContextFactory(org.thymeleaf.context.IEngineContextFactory engineContextFactory)

#### getLanguageName

    public String getLanguageName()

#### getLanguageVersion

    public String getLanguageVersion()

#### getScriptEngine

    public ScriptEngine getScriptEngine()